Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Class DeleteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.tpm.management.configuration.DeleteException

All Implemented Interfaces:
  Serializable

    public class DeleteException

extends Exception

See Also:
  Serialized Form

Constructor Summary
`DeleteException()` Constructs a DeleteException.
`DeleteException(Exception e)` Constructs a Exception with a nested exception
`DeleteException(String msg)` Constructs a DeleteException with the specified message text.

Method Summary
`Throwable` | `getNestedException()` Deprecated.
`void` | `setNestedException(Throwable nested)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteException

    public DeleteException(String msg)

  Constructs a DeleteException with the specified message text.

  Parameters:
    `msg` - Message text.

### DeleteException

    public DeleteException()

  Constructs a DeleteException.

### DeleteException

    public DeleteException(Exception e)

  Constructs a Exception with a nested exception

Method Detail

### setNestedException

    public final void setNestedException(Throwable nested)

  Deprecated.

  Set nested exception. This method should not be called if B2BException is created using constructor that takes Throwable

### getNestedException

    public final Throwable getNestedException()

  Deprecated.

  Get nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD